package com.railway.business.catenary.service;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbWjcxc;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import java.util.List;
/**
* 检查表-无交叉线岔
* @author zcf
* @date 2021/10/19
*/
public interface IBusJcbWjcxcService{

    /**
    * 新增
    */
    int create(BusJcbWjcxc busJcbWjcxc);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusJcbWjcxc busJcbWjcxc);

    /**
    * 获取单个
    */
    BusJcbWjcxc getInfo(String id);

    /**
    * 查询列表
    */
    List<BusJcbWjcxc> getList(BusJcbWjcxc busJcbWjcxc);

    /**
     * 获取上次检查记录
     */
    BusJcbWjcxc getLastRecord();

    /**
     * 提交
     */
    int submit(BusJcbWjcxc busJcbWjcxc);

    /**
     * 退回
     */
    int reject(BusJcbWjcxc busJcbWjcxc);

    /**
     * 确认
     */
    int confirm(BusJcbWjcxc busJcbWjcxc);

    /**
     * 导出Excel
     * @param query 查询条件
     * @return 文件路径
     */
    String exportExcel(JcebQueryVo query);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
